Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Class ProxySetupStateManager

    java.lang.Object
      org.apache.openjpa.meta.ProxySetupStateManager

All Implemented Interfaces:
  StateManager

     class ProxySetupStateManager

extends Object
implements StateManager

Mostly-unimplemented state manager type whose sole purpose is to check the initial value of all SCO container fields for their initialized types and comparators.

Author:
  Abe White

Field Summary

Fields inherited from interface org.apache.openjpa.enhance.StateManager
`SET_ATTACH, SET_REMOTE, SET_USER`

Constructor Summary
`ProxySetupStateManager()`

Method Summary
`void` | `accessingField(int i)` Field access callback.
`void` | `dirty(String s)` Make named field dirty.
`Object` | `fetchObjectId()` Return the object id, assigning it if necessary.
`Object` | `getGenericContext()` Persistence context.
`Object` | `getPCPrimaryKey(Object oid, int field)` Return the persistence-capable primary key object by extracting the identity value of the related instance stored in the given field from the given object id.
`Object` | `getVersion()` Returns the optimistic version for this instance.
`boolean` | `isDeleted()` Whether the instance is deleted in this transaction.
`boolean` | `isDetached()` Whether the instance is detached (i.e.
`boolean` | `isDirty()` Whether the instance has been modified in this transaction.
`boolean` | `isNew()` Whether the instance is newly-persisted in this transaction.
`boolean` | `isPersistent()` Whether the instance is persistent.
`boolean` | `isTransactional()` Whether the instance is transactional.
`void` | `providedBooleanField(PersistenceCapable pc, int i, boolean b)` Provide state callback.
`void` | `providedByteField(PersistenceCapable pc, int i, byte b)` Provide state callback.
`void` | `providedCharField(PersistenceCapable pc, int i, char c)` Provide state callback.
`void` | `providedDoubleField(PersistenceCapable pc, int i, double d)` Provide state callback.
`void` | `providedFloatField(PersistenceCapable pc, int i, float f)` Provide state callback.
`void` | `providedIntField(PersistenceCapable pc, int i, int i2)` Provide state callback.
`void` | `providedLongField(PersistenceCapable pc, int i, long l)` Provide state callback.
`void` | `providedObjectField(PersistenceCapable pc, int i, Object o)` Provide state callback.
`void` | `providedShortField(PersistenceCapable pc, int i, short s)` Provide state callback.
`void` | `providedStringField(PersistenceCapable pc, int i, String s)` Provide state callback.
`void` | `proxyDetachedDeserialized(int idx)` Proxy the given detached field after deserialization.
`boolean` | `replaceBooleanField(PersistenceCapable pc, int i)` Replace state callback.
`byte` | `replaceByteField(PersistenceCapable pc, int i)` Replace state callback.
`char` | `replaceCharField(PersistenceCapable pc, int i)` Replace state callback.
`double` | `replaceDoubleField(PersistenceCapable pc, int i)` Replace state callback.
`float` | `replaceFloatField(PersistenceCapable pc, int i)` Replace state callback.
`int` | `replaceIntField(PersistenceCapable pc, int i)` Replace state callback.
`long` | `replaceLongField(PersistenceCapable pc, int i)` Replace state callback.
`Object` | `replaceObjectField(PersistenceCapable pc, int i)` Replace state callback.
`short` | `replaceShortField(PersistenceCapable pc, int i)` Replace state callback.
`StateManager` | `replaceStateManager(StateManager sm)` Change state manager.
`String` | `replaceStringField(PersistenceCapable pc, int i)` Replace state callback.
`boolean` | `serializing()` Callback to prepare instance for serialization.
`void` | `setProxyData(PersistenceCapable pc, ClassMetaData meta)`
`void` | `settingBooleanField(PersistenceCapable pc, int i, boolean b, boolean b2, int set)` Setting state callback.
`void` | `settingByteField(PersistenceCapable pc, int i, byte b, byte b2, int set)` Setting state callback.
`void` | `settingCharField(PersistenceCapable pc, int i, char c, char c2, int set)` Setting state callback.
`void` | `settingDoubleField(PersistenceCapable pc, int i, double d, double d2, int set)` Setting state callback.
`void` | `settingFloatField(PersistenceCapable pc, int i, float f, float f2, int set)` Setting state callback.
`void` | `settingIntField(PersistenceCapable pc, int i, int i2, int i3, int set)` Setting state callback.
`void` | `settingLongField(PersistenceCapable pc, int i, long l, long l2, int set)` Setting state callback.
`void` | `settingObjectField(PersistenceCapable pc, int i, Object o, Object o2, int set)` Setting state callback.
`void` | `settingShortField(PersistenceCapable pc, int i, short s, short s2, int set)` Setting state callback.
`void` | `settingStringField(PersistenceCapable pc, int i, String s, String s2, int set)` Setting state callback.
`boolean` | `writeDetached(ObjectOutput out)` Write detached state object and detached state manager to the given stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxySetupStateManager

    ProxySetupStateManager()

Method Detail

### setProxyData

    public void setProxyData(PersistenceCapable pc,
                             ClassMetaData meta)

### getPCPrimaryKey

    public Object getPCPrimaryKey(Object oid,
                                  int field)

  Description copied from interface: `StateManager`
  Return the persistence-capable primary key object by extracting the identity value of the related instance stored in the given field from the given object id.

  Specified by:
    `getPCPrimaryKey` in interface `StateManager`

### replaceStateManager

    public StateManager replaceStateManager(StateManager sm)

  Description copied from interface: `StateManager`
  Change state manager.

  Specified by:
    `replaceStateManager` in interface `StateManager`

### isDirty

    public boolean isDirty()

  Description copied from interface: `StateManager`
  Whether the instance has been modified in this transaction.

  Specified by:
    `isDirty` in interface `StateManager`

### isTransactional

    public boolean isTransactional()

  Description copied from interface: `StateManager`
  Whether the instance is transactional.

  Specified by:
    `isTransactional` in interface `StateManager`

### isPersistent

    public boolean isPersistent()

  Description copied from interface: `StateManager`
  Whether the instance is persistent.

  Specified by:
    `isPersistent` in interface `StateManager`

### isNew

    public boolean isNew()

  Description copied from interface: `StateManager`
  Whether the instance is newly-persisted in this transaction.

  Specified by:
    `isNew` in interface `StateManager`

### isDeleted

    public boolean isDeleted()

  Description copied from interface: `StateManager`
  Whether the instance is deleted in this transaction.

  Specified by:
    `isDeleted` in interface `StateManager`

### isDetached

    public boolean isDetached()

  Description copied from interface: `StateManager`
  Whether the instance is detached (i.e. this manager is a detached state manager)

  Specified by:
    `isDetached` in interface `StateManager`

### getGenericContext

    public Object getGenericContext()

  Description copied from interface: `StateManager`
  Persistence context.

  Specified by:
    `getGenericContext` in interface `StateManager`

### dirty

    public void dirty(String s)

  Description copied from interface: `StateManager`
  Make named field dirty.

  Specified by:
    `dirty` in interface `StateManager`

### fetchObjectId

    public Object fetchObjectId()

  Description copied from interface: `StateManager`
  Return the object id, assigning it if necessary.

  Specified by:
    `fetchObjectId` in interface `StateManager`

### getVersion

    public Object getVersion()

  Description copied from interface: `StateManager`
  Returns the optimistic version for this instance.

  Specified by:
    `getVersion` in interface `StateManager`

### accessingField

    public void accessingField(int i)

  Description copied from interface: `StateManager`
  Field access callback.

  Specified by:
    `accessingField` in interface `StateManager`

### serializing

    public boolean serializing()

  Description copied from interface: `StateManager`
  Callback to prepare instance for serialization.

  Specified by:
    `serializing` in interface `StateManager`
  Returns:
    true to null detached state after serialize

### writeDetached

    public boolean writeDetached(ObjectOutput out)

  Description copied from interface: `StateManager`
  Write detached state object and detached state manager to the given stream.

  Specified by:
    `writeDetached` in interface `StateManager`
  Returns:
    true if managed fields also written to stream

### proxyDetachedDeserialized

    public void proxyDetachedDeserialized(int idx)

  Description copied from interface: `StateManager`
  Proxy the given detached field after deserialization.

  Specified by:
    `proxyDetachedDeserialized` in interface `StateManager`

### settingBooleanField

    public void settingBooleanField(PersistenceCapable pc,
                                    int i,
                                    boolean b,
                                    boolean b2,
                                    int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingBooleanField` in interface `StateManager`

### settingCharField

    public void settingCharField(PersistenceCapable pc,
                                 int i,
                                 char c,
                                 char c2,
                                 int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingCharField` in interface `StateManager`

### settingByteField

    public void settingByteField(PersistenceCapable pc,
                                 int i,
                                 byte b,
                                 byte b2,
                                 int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingByteField` in interface `StateManager`

### settingShortField

    public void settingShortField(PersistenceCapable pc,
                                  int i,
                                  short s,
                                  short s2,
                                  int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingShortField` in interface `StateManager`

### settingIntField

    public void settingIntField(PersistenceCapable pc,
                                int i,
                                int i2,
                                int i3,
                                int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingIntField` in interface `StateManager`

### settingLongField

    public void settingLongField(PersistenceCapable pc,
                                 int i,
                                 long l,
                                 long l2,
                                 int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingLongField` in interface `StateManager`

### settingFloatField

    public void settingFloatField(PersistenceCapable pc,
                                  int i,
                                  float f,
                                  float f2,
                                  int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingFloatField` in interface `StateManager`

### settingDoubleField

    public void settingDoubleField(PersistenceCapable pc,
                                   int i,
                                   double d,
                                   double d2,
                                   int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingDoubleField` in interface `StateManager`

### settingStringField

    public void settingStringField(PersistenceCapable pc,
                                   int i,
                                   String s,
                                   String s2,
                                   int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingStringField` in interface `StateManager`

### settingObjectField

    public void settingObjectField(PersistenceCapable pc,
                                   int i,
                                   Object o,
                                   Object o2,
                                   int set)

  Description copied from interface: `StateManager`
  Setting state callback.

  Specified by:
    `settingObjectField` in interface `StateManager`

### providedBooleanField

    public void providedBooleanField(PersistenceCapable pc,
                                     int i,
                                     boolean b)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedBooleanField` in interface `StateManager`

### providedCharField

    public void providedCharField(PersistenceCapable pc,
                                  int i,
                                  char c)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedCharField` in interface `StateManager`

### providedByteField

    public void providedByteField(PersistenceCapable pc,
                                  int i,
                                  byte b)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedByteField` in interface `StateManager`

### providedShortField

    public void providedShortField(PersistenceCapable pc,
                                   int i,
                                   short s)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedShortField` in interface `StateManager`

### providedIntField

    public void providedIntField(PersistenceCapable pc,
                                 int i,
                                 int i2)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedIntField` in interface `StateManager`

### providedLongField

    public void providedLongField(PersistenceCapable pc,
                                  int i,
                                  long l)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedLongField` in interface `StateManager`

### providedFloatField

    public void providedFloatField(PersistenceCapable pc,
                                   int i,
                                   float f)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedFloatField` in interface `StateManager`

### providedDoubleField

    public void providedDoubleField(PersistenceCapable pc,
                                    int i,
                                    double d)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedDoubleField` in interface `StateManager`

### providedStringField

    public void providedStringField(PersistenceCapable pc,
                                    int i,
                                    String s)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedStringField` in interface `StateManager`

### providedObjectField

    public void providedObjectField(PersistenceCapable pc,
                                    int i,
                                    Object o)

  Description copied from interface: `StateManager`
  Provide state callback.

  Specified by:
    `providedObjectField` in interface `StateManager`

### replaceBooleanField

    public boolean replaceBooleanField(PersistenceCapable pc,
                                       int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceBooleanField` in interface `StateManager`

### replaceCharField

    public char replaceCharField(PersistenceCapable pc,
                                 int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceCharField` in interface `StateManager`

### replaceByteField

    public byte replaceByteField(PersistenceCapable pc,
                                 int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceByteField` in interface `StateManager`

### replaceShortField

    public short replaceShortField(PersistenceCapable pc,
                                   int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceShortField` in interface `StateManager`

### replaceIntField

    public int replaceIntField(PersistenceCapable pc,
                               int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceIntField` in interface `StateManager`

### replaceLongField

    public long replaceLongField(PersistenceCapable pc,
                                 int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceLongField` in interface `StateManager`

### replaceFloatField

    public float replaceFloatField(PersistenceCapable pc,
                                   int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceFloatField` in interface `StateManager`

### replaceDoubleField

    public double replaceDoubleField(PersistenceCapable pc,
                                     int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceDoubleField` in interface `StateManager`

### replaceStringField

    public String replaceStringField(PersistenceCapable pc,
                                     int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceStringField` in interface `StateManager`

### replaceObjectField

    public Object replaceObjectField(PersistenceCapable pc,
                                     int i)

  Description copied from interface: `StateManager`
  Replace state callback.

  Specified by:
    `replaceObjectField` in interface `StateManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.